## org.eclipse.contribution.visualiser.utils
Class RenderingMonitor

    java.lang.Object
      org.eclipse.ui.part.WorkbenchPart
          org.eclipse.ui.part.ViewPart
              org.eclipse.contribution.visualiser.utils.RenderingMonitor

All Implemented Interfaces:
  org.eclipse.core.runtime.IAdaptable, org.eclipse.core.runtime.IExecutableExtension, org.eclipse.ui.IPersistable, org.eclipse.ui.IViewPart, org.eclipse.ui.IWorkbenchPart, org.eclipse.ui.IWorkbenchPart2, org.eclipse.ui.part.IWorkbenchPartOrientation

public class RenderingMonitor
extends org.eclipse.ui.part.ViewPart

Debug/profiling view, requires RenderingMonitorInfo aspect

Author:
  matt

Field Summary

Fields inherited from interface org.eclipse.ui.IWorkbenchPart
`PROP_TITLE`

Constructor Summary
`RenderingMonitor()`

Method Summary
`void` `createPartControl(org.eclipse.swt.widgets.Composite parent)`
`static void` `logDataSize(int size)`
`static void` `logGeomTime(long time)`
`static void` `logImagePixels(long ip)`
`static void` `logNumCols(int cols)`
`static void` `logProvTime(long time)`
`static void` `logTime(long time)`
`static void` `resetAverage()`
`void` `setFocus()`

Methods inherited from class org.eclipse.ui.part.ViewPart
`checkSite, getViewSite, init, init, saveState, setContentDescription, setInitializationData, setPartName`

Methods inherited from class org.eclipse.ui.part.WorkbenchPart
`addPropertyListener, dispose, firePropertyChange, getAdapter, getConfigurationElement, getContentDescription, getDefaultImage, getOrientation, getPartName, getSite, getTitle, getTitleImage, getTitleToolTip, removePropertyListener, setSite, setTitle, setTitleImage, setTitleToolTip, showBusy`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.eclipse.ui.IWorkbenchPart
`addPropertyListener, dispose, getSite, getTitle, getTitleImage, getTitleToolTip, removePropertyListener`

Methods inherited from interface org.eclipse.core.runtime.IAdaptable
`getAdapter`

Constructor Detail

### RenderingMonitor

    public RenderingMonitor()

Method Detail

### createPartControl

    public void createPartControl(org.eclipse.swt.widgets.Composite parent)

### setFocus

    public void setFocus()

### logTime

    public static void logTime(long time)

### logProvTime

    public static void logProvTime(long time)

### logGeomTime

    public static void logGeomTime(long time)

### logDataSize

    public static void logDataSize(int size)

### logImagePixels

    public static void logImagePixels(long ip)

### logNumCols

    public static void logNumCols(int cols)

### resetAverage

    public static void resetAverage()